package com.kingdee.eas.custom.perfwebinterview;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class InterviewRecordFactory
{
    private InterviewRecordFactory()
    {
    }
    public static com.kingdee.eas.custom.perfwebinterview.IInterviewRecord getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.perfwebinterview.IInterviewRecord)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E085DF65") ,com.kingdee.eas.custom.perfwebinterview.IInterviewRecord.class);
    }
    
    public static com.kingdee.eas.custom.perfwebinterview.IInterviewRecord getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.perfwebinterview.IInterviewRecord)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E085DF65") ,com.kingdee.eas.custom.perfwebinterview.IInterviewRecord.class, objectCtx);
    }
    public static com.kingdee.eas.custom.perfwebinterview.IInterviewRecord getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.perfwebinterview.IInterviewRecord)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E085DF65"));
    }
    public static com.kingdee.eas.custom.perfwebinterview.IInterviewRecord getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.perfwebinterview.IInterviewRecord)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E085DF65"));
    }
}